﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SQLite;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp7
{
    public partial class Form1 : Form
    {
        String connectionString = "Data source=csharp2022_2.db;Version=3";
        SQLiteConnection connection;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            connection = new SQLiteConnection(connectionString);
            connection.Open();
            String createSQL = "Create table if not exists Car(Car_ID integer primary key autoincrement," +
                "Model Text,Horse_Power integer)";
            SQLiteCommand command = new SQLiteCommand(createSQL, connection);
            command.ExecuteNonQuery();
            connection.Close();
        }

        private void button1_Click(object sender, EventArgs e)
        {

        }

        private void button2_Click(object sender, EventArgs e)
        {
            connection.Open();
            String insertSQL = "Insert into Car(Model,Horse_Power) values(@model,@horsepower)";
            SQLiteCommand command = new SQLiteCommand(insertSQL, connection);
            command.Parameters.AddWithValue("model", textBox1.Text);
            command.Parameters.AddWithValue("horsepower", int.Parse(textBox2.Text));
            command.ExecuteNonQuery();
            connection.Close();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            richTextBox1.Clear();
            connection.Open();
            String selectSQL = "Select * from Car";
            SQLiteCommand command = new SQLiteCommand(selectSQL, connection);
            SQLiteDataReader reader = command.ExecuteReader();
            while (reader.Read())
            {
                richTextBox1.AppendText(reader.GetString(1));
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetInt16(2).ToString());
                richTextBox1.AppendText(Environment.NewLine);
            }
            connection.Close();
        }

        private void button1_Click_1(object sender, EventArgs e)
        {
            richTextBox1.Clear();
            connection.Open();
            String selectSQL = "Select * from Car where Car_ID="+textBox3.Text;
            SQLiteCommand command = new SQLiteCommand(selectSQL, connection);
            SQLiteDataReader reader = command.ExecuteReader();
            while (reader.Read())
            {
                richTextBox1.AppendText(reader.GetString(1));
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetInt16(2).ToString());
                richTextBox1.AppendText(Environment.NewLine);
            }
            connection.Close();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            richTextBox1.Clear();
            connection.Open();
            String selectSQL = "Select * from Car where Car_ID=@id";
            SQLiteCommand command = new SQLiteCommand(selectSQL, connection);
            command.Parameters.AddWithValue("id",int.Parse(textBox3.Text));
            SQLiteDataReader reader = command.ExecuteReader();
            while (reader.Read())
            {
                richTextBox1.AppendText(reader.GetString(1));
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetInt16(2).ToString());
                richTextBox1.AppendText(Environment.NewLine);
            }
            connection.Close();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            richTextBox1.Clear();
            connection.Open();
            String selectSQL = "Select * from Car where Upper(Model) like @model";
            SQLiteCommand command = new SQLiteCommand(selectSQL, connection);
            command.Parameters.AddWithValue("model", "%"+textBox3.Text.ToUpper()+"%");
            SQLiteDataReader reader = command.ExecuteReader();
            while (reader.Read())
            {
                richTextBox1.AppendText(reader.GetString(1));
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetInt16(2).ToString());
                richTextBox1.AppendText(Environment.NewLine);
            }
            connection.Close();
        }
    }
}
